<?php
/**
 * Template part for displaying page content in page.php.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Spintech
 */	
	$args = array( 'post_type' => 'spintech_project','posts_per_page' => 100);  
	$project = new WP_Query( $args ); 
	if( $project->have_posts() )
	{
		while ( $project->have_posts() ) : $project->the_post();
?>
<?php
	
	$project_desc	 		= sanitize_text_field( get_post_meta( get_the_ID(),'project_description', true ));
	$project_button_label 		= sanitize_text_field( get_post_meta( get_the_ID(),'project_button_label', true ));
	$project_link 			= sanitize_text_field( get_post_meta( get_the_ID(),'project_button_link', true ));
	$project_button_link_target 	= sanitize_text_field( get_post_meta( get_the_ID(),'project_button_link_target', true ));

?>
<?php 	
	if($project_link) { 
		$project_link; 
	}	
	else { 
		$project_link = get_post_permalink(); 
	} 
?>
<?php
	$terms = get_the_terms( $post->ID, 'project_categories' );
						
	if ( $terms && ! is_wp_error( $terms ) ) : 
		$links = array();

		foreach ( $terms as $term ) 
		{
			$links[] = $term->slug;
		}
		
		$tax = join( ' ', $links );		
	else :	
		$tax = '';	
	endif;
?>
		<div class="col st-filter-item <?php echo strtolower($tax); ?>">
			<figure class="projects-item">
				<a href="<?php echo get_the_post_thumbnail_url(); ?>" class="image" title="This is a projects">
					<?php 
						if ( has_post_thumbnail() ) {
							the_post_thumbnail();
						}
					?>	
				</a>
				<figcaption class="projects-caption">
					<div class="projects-heading">
						<p><?php echo the_title(); ?></p>
						<?php if ( ! empty( $project_desc ) ) : ?>		
							 <strong><?php echo esc_html($project_desc); ?></strong>    
						<?php endif; ?>	
					</div>
					<div class="projects-link">
						<?php if ( ! empty( $project_button_label ) ) : ?>		   
							 <a href="<?php echo esc_url($project_link); ?>" <?php  if($project_button_link_target) { echo "target='_blank'"; } ?> class="read-link"><?php echo esc_html($project_button_label); ?></a>
						<?php endif; ?>	
					</div>                                
				</figcaption>                                  
			</figure>
		</div>
		<?php 	
	endwhile; 
	}
?>