<?php 
	$spintech_blog_title		= get_theme_mod('blog_title','Explore');
	$blog_subtitle				= get_theme_mod('blog_subtitle','Our <span class="text-primary">Blog</span>');
	$blog_description			= get_theme_mod('blog_description','Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.');
	$blog_category_id			= get_theme_mod('blog_category_id');
	$blog_column				= get_theme_mod('blog_column','3');
	$blog_display_num			= get_theme_mod('blog_display_num','3');
?>
	<section id="post-section" class="post-section st-py-default home-blog">
        <div class="container">
            <div class="row">
                <div class="col-lg-7 col-12 mx-lg-auto mb-5 text-center">
                    <div class="heading-default wow fadeInUp">
                       <?php if ( ! empty( $spintech_blog_title ) ) : ?>
							 <span class="badge bg-primary ttl"><?php echo wp_kses_post($spintech_blog_title); ?></span>
						<?php endif; ?>
						<?php if ( ! empty( $blog_subtitle ) ) : ?>		
							<h2><?php echo wp_kses_post($blog_subtitle); ?></h2>   							
						<?php endif; ?>	
						<?php if ( ! empty( $blog_description ) ) : ?>		
							<p><?php echo wp_kses_post($blog_description); ?></p>    
						<?php endif; ?>	
                    </div>
                </div>
            </div>
            <div class="row row-cols-1 row-cols-lg-<?php echo esc_attr($blog_column); ?> row-cols-md-2 g-5 wow fadeInUp">
				<?php 	
				$args = array( 'post_type' => 'post', 'category__in' => $blog_category_id, 'posts_per_page' => $blog_display_num,'post__not_in'=>get_option("sticky_posts")) ; 	
					query_posts( $args );
					if(query_posts( $args ))
					{	
					while(have_posts()):the_post(); 
				?>
                <div class="col">
                   <?php get_template_part('template-parts/content/content','page');  ?>
                </div>
				<?php 
					endwhile; 
					}
				?>
            </div>
        </div>
        <div class="shape10"><img src="<?php echo esc_url(get_template_directory_uri()); ?>/assets/images/clipArt/shape10.png" alt="image"></div>
        <div class="shape28"><img src="<?php echo esc_url(get_template_directory_uri()); ?>/assets/images/clipArt/shape28.png" alt="image"></div>
        <div class="shape25"><img src="<?php echo esc_url(get_template_directory_uri()); ?>/assets/images/clipArt/shape25.png" alt="image"></div>
        <div class="shape2"><img src="<?php echo esc_url(get_template_directory_uri()); ?>/assets/images/clipArt/shape2.png" alt="image"></div>
        <div class="shape29"><img src="<?php echo esc_url(get_template_directory_uri()); ?>/assets/images/clipArt/shape29.png" alt="image"></div>
        <div class="shape30"><img src="<?php echo esc_url(get_template_directory_uri()); ?>/assets/images/clipArt/shape29.png" alt="image"></div>
        <div class="shape31"><img src="<?php echo esc_url(get_template_directory_uri()); ?>/assets/images/clipArt/shape31.png" alt="image"></div>
        <div class="shape19"><img src="<?php echo esc_url(get_template_directory_uri()); ?>/assets/images/clipArt/shape19.png" alt="image"></div>
    </section>