<?php 
	$hs_breadcrumb					= get_theme_mod('hs_breadcrumb','1');
	$breadcrumb_title_enable		= get_theme_mod('breadcrumb_title_enable','1');
	$breadcrumb_path_enable			= get_theme_mod('breadcrumb_path_enable','1');
	
if($hs_breadcrumb == '1') {	
?>
	<section id="breadcrumb-section" class="breadcrumb-area breadcrumb-box">
        <div class="container">
            <div class="row">
                <div class="col-12">
                    <div class="breadcrumb-content">
                        <div class="breadcrumb-heading">
                            <?php if($breadcrumb_title_enable == '1') { ?>
								<h2>
									<?php 
										if ( is_day() ) : 
										
											printf( __( 'Daily Archives: %s', 'spintech-pro' ), get_the_date() );
										
										elseif ( is_month() ) :
										
											printf( __( 'Monthly Archives: %s', 'spintech-pro' ), (get_the_date( 'F Y' ) ));
											
										elseif ( is_year() ) :
										
											printf( __( 'Yearly Archives: %s', 'spintech-pro' ), (get_the_date( 'Y' ) ) );
											
										elseif ( is_category() ) :
										
											printf( __( 'Category Archives: %s', 'spintech-pro' ), (single_cat_title( '', false ) ));

										elseif ( is_tag() ) :
										
											printf( __( 'Tag Archives: %s', 'spintech-pro' ), (single_tag_title( '', false ) ));
											
										elseif ( is_404() ) :

											printf( __( 'Error 404', 'spintech-pro' ));
											
										elseif ( is_author() ) :
										
											printf( __( 'Author: %s', 'spintech-pro' ), (get_the_author( '', false ) ));		
										
										elseif ( is_tax( 'portfolio_categories' ) ) :

											printf( __( 'Portfolio Categories: %s', 'spintech-pro' ), (single_term_title( '', false ) ));	
											
										elseif ( is_tax( 'pricing_categories' ) ) :

											printf( __( 'Pricing Categories: %s', 'spintech-pro' ), (single_term_title( '', false ) ));	
											
										elseif ( class_exists( 'spintech-pro' ) ) : 
											
											if ( is_shop() ) {
												woocommerce_page_title();
											}
											
											elseif ( is_cart() ) {
												the_title();
											}
											
											elseif ( is_checkout() ) {
												the_title();
											}
											
											else {
												the_title();
											}
										else :
												the_title();
												
										endif;
										
									?>
								</h2>
							<?php } ?>	
                        </div>
						<?php if($breadcrumb_path_enable == '1') { ?>
							<ol class="breadcrumb-list">
								<?php if (function_exists('spintech_breadcrumbs')) spintech_breadcrumbs();?>
							</ol>
						<?php } ?>	
                    </div>                    
                </div>
            </div>
        </div>
    </section>
<?php } ?>	