<?php 
	$abt_skills_title			= get_theme_mod('abt_skills_title','Explore');
	$abt_skills_subtitle		= get_theme_mod('abt_skills_subtitle','Our <span class="text-primary">Skills</span>');
	$abt_skills_desc			= get_theme_mod('abt_skills_desc','Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.');
	$abt_skill_img				= get_theme_mod('abt_skill_img',get_template_directory_uri() .'/assets/images/skills/img01.png');
	$pg_about_skill_content		= get_theme_mod('pg_about_skill_content','<div class="heading-title">
						<h3>Reason for<br>people go with Spintech</h3>
					</div>
					<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. enim ad minim veniam, quis nostrud exercitation.</p>
					<div class="skills-wrapper">
						<div class="skill-panel">
							<div class="skill-title"><strong>Corporate Business</strong></div>
							<div class="skillbar" data-percent="75%">
								<div class="skillbar-bar">
									<div class="skill-bar-percent count-bar">75</div>
								</div>
							</div>
						</div>
						<div class="skill-panel">
							<div class="skill-title"><strong>Customer Marketing</strong></div>
							<div class="skillbar" data-percent="86%">
								<div class="skillbar-bar">
									<div class="skill-bar-percent count-bar">86</div>
								</div>
							</div>
						</div>
						<div class="skill-panel">
							<div class="skill-title"><strong>Information Techonology</strong></div>
							<div class="skillbar" data-percent="56%">
								<div class="skillbar-bar">
									<div class="skill-bar-percent count-bar">56</div>
								</div>
							</div>
						</div>
					</div>');	
?>	
 <section id="skills-section" class="skills-section st-py-default about-skills">
	<div class="container">
		<div class="row">
			<div class="col-lg-7 col-12 mx-lg-auto mb-5 text-center">
				<div class="heading-default wow fadeInUp">
					<?php if ( ! empty( $abt_skills_title ) ) : ?>
						 <span class="badge bg-primary ttl"><?php echo wp_kses_post($abt_skills_title); ?></span>
					<?php endif; ?>
					<?php if ( ! empty( $abt_skills_subtitle ) ) : ?>		
						<h2><?php echo wp_kses_post($abt_skills_subtitle); ?></h2>   							
					<?php endif; ?>	
					<?php if ( ! empty( $abt_skills_desc ) ) : ?>		
						<p><?php echo wp_kses_post($abt_skills_desc); ?></p>    
					<?php endif; ?>	
				</div>
			</div>
		</div>
		<div class="row">
			<div class="col-lg-6 col-12 mb-lg-0 mb-5 wow fadeInLeft">
				<div class="skills-img justify-content-lg-start justify-content-center">
					<?php if ( ! empty( $abt_skill_img ) ) : ?>
						<img src="<?php echo esc_url($abt_skill_img); ?>" alt="">
					<?php endif; ?>		
				</div>
			</div>
			<div class="col-lg-6 col-12 wow fadeInRight">                    
				<div class="about-panel">
					<?php 
						if ( ! empty( $pg_about_skill_content ) ) : 	
							 echo wp_kses_post($pg_about_skill_content);  
						 endif; 
					 ?>
				</div>
			</div>
		</div>
	</div>
</section>