<?php 
/**
Template Name: Blog Filter
*/

get_header();
$tax = 'post'; 
$categories = get_terms($tax);	
?>
<section id="post-section" class="post-section st-py-default">
	<div class="container">
		<div class="st-filter-wrapper-2">  
			<?php 
				$categories = get_categories();
				if (!$categories == 0) {
				?>
				 <div class="st-tab-filter mb-5 text-center">
					<?php foreach ($categories as $category) { ?>
					<?php if($category->name == 'All'){ ?>
						 <a href="javascript:void(0)" data-filter="*" class="active"><?php echo $category->name; ?></a>
					<?php } else{ ?>
						<a href="javascript:void(0)" data-filter=".<?php echo $category->slug; ?>"><?php echo $category->slug; ?></a>
					<?php } } ?>
				</div>
			<?php } ?>	
			<div id="st-filter-init-2" class="row row-cols-1 row-cols-md-3 st-filter-init gx-5 gy-5 wow fadeInUp">
				<?php 
					$paged = ( get_query_var('paged') ) ? get_query_var('paged') : 1;
					$args = array( 'post_type' => 'post','paged'=>$paged );	
					$loop = new WP_Query( $args );
				?>
				<?php if( $loop->have_posts() ): ?>
					<?php while( $loop->have_posts() ): $loop->the_post(); ?>
					<?php
						$terms = get_the_category( $post->ID, 'post' );
											
						if ( $terms && ! is_wp_error( $terms ) ) : 
							$links = array();

							foreach ( $terms as $term ) 
							{
								$links[] = $term->slug;
							}
							
							$tax = join( ' ', $links );		
						else :	
							$tax = '';	
						endif;
				?>
				<div class="col st-filter-item <?php echo strtolower($tax); ?>">
					<?php get_template_part('template-parts/content/content','page'); ?>
				</div>
				<?php 
						endwhile;
					endif;
				?>
			</div>
		</div>
	</div>
</section>	
	
<?php get_footer(); ?>