<?php 
/**
Template Name: Company Careers Page
*/

get_header();
?>
 <!--===// Start: Our Careers BG
    =================================-->
<?php 
	$hs_company_our_carrier		= get_theme_mod('hs_company_our_carrier','1');
	$company_our_carrier_ttl	= get_theme_mod('company_our_carrier_ttl','Explore');
	$company_our_carrier_subtitle = get_theme_mod('company_our_carrier_subtitle','Nice To Meet You');
	$company_our_carrier_desc		= get_theme_mod('company_our_carrier_desc','Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.');
	$company_our_carrier_img			= get_theme_mod('company_our_carrier_img',get_template_directory_uri() . '/assets/images/bg/meet_section.png');
	if($hs_company_our_carrier == '1') { 
?>	
    <section id="careers-section" class="careers-section st-pt-default">
        <div class="container">
            <div class="row">
                <div class="col-lg-7 col-12 mx-lg-auto mb-5 text-center">
                    <div class="heading-default wow fadeInUp">
						<?php if ( ! empty( $company_our_carrier_ttl ) ) : ?>
							 <span class="badge bg-primary ttl"><?php echo wp_kses_post($company_our_carrier_ttl); ?></span>
						<?php endif; ?>
						<?php if ( ! empty( $company_our_carrier_subtitle ) ) : ?>		
							<h2><?php echo wp_kses_post($company_our_carrier_subtitle); ?></h2>   	
						<?php endif; ?>	
						<?php if ( ! empty( $company_our_carrier_desc ) ) : ?>		
							<p><?php echo wp_kses_post($company_our_carrier_desc); ?></p>    
						<?php endif; ?>	
                    </div>
                </div>
            </div>
        </div>
		<?php if ( ! empty( $company_our_carrier_img ) ) : ?>		
			<div class="careers-bg wow fadeInUp">
				<img src="<?php echo esc_url($company_our_carrier_img); ?>" alt="">
			</div>
		<?php endif; ?>		
    </section>
<?php } ?>	
    <!-- End: Our Careers BG
    =================================-->

    <!--===// Start: Current Openings
    =================================-->
<?php 
	$hs_company_opening_carrier		= get_theme_mod('hs_company_opening_carrier','1');
	$company_opening_carrier_ttl	= get_theme_mod('company_opening_carrier_ttl','Explore');
	$company_opening_carrier_sub = get_theme_mod('company_opening_carrier_sub','Current Openings');
	$company_opening_carrier_desc		= get_theme_mod('company_opening_carrier_desc','Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.');
	$company_opening_carrier_content = get_theme_mod('company_opening_carrier_content','<table class="table table-borderless table-striped btn-table">
                            <caption align="center"><strong><u>We are always on the lookout for talented folk to join our team. Follow us on LinkedIn!</u></strong></caption>
                            <thead>
                                <tr>
                                    <th scope="col">Role</th>
                                    <th scope="col">Location</th>
                                    <th scope="col">Type</th>
                                    <th scope="col"></th>
                                </tr>
                            </thead>
                            <tbody>
                                <tr>
                                    <td><strong><u>Engineer: Observability Applications</u></strong></td>
                                    <td>New York</td>
                                    <td>Full Time</td>
                                    <td><a href="javascript:void(0);" class="btn btn-secondary btn-rounded">Apply Now</a></td>
                                </tr>
                                <tr>
                                    <td><strong><u>Cloud Ops Administrator</u></strong></td>
                                    <td>New York</td>
                                    <td>Full Time</td>
                                    <td><a href="javascript:void(0);" class="btn btn-primary btn-rounded">Apply Now</a></td>
                                </tr>
                                <tr>
                                    <td><strong><u>Platform Support Specialist</u></strong></td>
                                    <td>New York</td>
                                    <td>Full Time</td>
                                    <td><a href="javascript:void(0);" class="btn btn-secondary btn-rounded">Apply Now</a></td>
                                </tr>
                            </tbody>
                            </tfoot>
                        </table>');
	if($hs_company_opening_carrier == '1') {
?>	
    <section id="openings-section" class="openings-section bg-primary-light st-py-default">
        <div class="container">
            <div class="row">
                <div class="col-lg-7 col-12 mx-lg-auto mb-5 text-center">
                    <div class="heading-default wow fadeInUp">
                       <?php if ( ! empty( $company_opening_carrier_ttl ) ) : ?>
							 <span class="badge bg-primary ttl"><?php echo wp_kses_post($company_opening_carrier_ttl); ?></span>
						<?php endif; ?>
						<?php if ( ! empty( $company_opening_carrier_sub ) ) : ?>		
							<h2><?php echo wp_kses_post($company_opening_carrier_sub); ?></h2>   	
						<?php endif; ?>	
						<?php if ( ! empty( $company_opening_carrier_desc ) ) : ?>		
							<p><?php echo wp_kses_post($company_opening_carrier_desc); ?></p>    
						<?php endif; ?>	
                    </div>
                </div>
            </div>
            <div class="row wow fadeInUp">
                <div class="col-12">
                    <div class="table-responsive careers-table">
                        <?php 
							if ( ! empty( $company_opening_carrier_content ) ) :	
								 echo wp_kses_post($company_opening_carrier_content);   
							 endif; 
						 ?>	
                    </div>
                </div>
            </div>
        </div>
    </section>
<?php } ?>	
    <!-- End: Current Openings
    =================================-->

    <!--===// Start: Benefits
    =================================-->
<?php 
	$hs_company_benefit_carrier		= get_theme_mod('hs_company_benefit_carrier','1');
	$company_benefit_carrier_ttl	= get_theme_mod('company_benefit_carrier_ttl','Explore');
	$company_benefit_carrier_sub 	= get_theme_mod('company_benefit_carrier_sub','Benefits');
	$company_benefit_carrier_desc	= get_theme_mod('company_benefit_carrier_desc','Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.');
	$company_benefit_contents		= get_theme_mod('company_benefit_contents',spintech_get_company_benefit_default());
	if($hs_company_benefit_carrier == '1') {
?>	
    <section id="benefits-section" class="benefits-section bg-primary-light st-pb-default">
        <div class="container">
            <div class="row">
                <div class="col-lg-7 col-12 mx-lg-auto mb-5 text-center">
                    <div class="heading-default wow fadeInUp">
                         <?php if ( ! empty( $company_benefit_carrier_ttl ) ) : ?>
							 <span class="badge bg-primary ttl"><?php echo wp_kses_post($company_benefit_carrier_ttl); ?></span>
						<?php endif; ?>
						<?php if ( ! empty( $company_benefit_carrier_sub ) ) : ?>		
							<h2><?php echo wp_kses_post($company_benefit_carrier_sub); ?></h2>   	
						<?php endif; ?>	
						<?php if ( ! empty( $company_benefit_carrier_desc ) ) : ?>		
							<p><?php echo wp_kses_post($company_benefit_carrier_desc); ?></p>    
						<?php endif; ?>	
                    </div>
                </div>
            </div>
            <div class="row row-cols-1 row-cols-md-3 row-cols-lg-5 g-4 wow fadeInUp">
				<?php
					if ( ! empty( $company_benefit_contents ) ) {
					$company_benefit_contents = json_decode( $company_benefit_contents );
					foreach ( $company_benefit_contents as $company_benefit_item ) {
						$spintech_company_benefit_title = ! empty( $company_benefit_item->title ) ? apply_filters( 'spintech_translate_single_string', $company_benefit_item->title, 'company_benefit section' ) : '';
						$text = ! empty( $company_benefit_item->text ) ? apply_filters( 'spintech_translate_single_string', $company_benefit_item->text, 'company_benefit section' ) : '';
						$icon = ! empty( $company_benefit_item->icon_value) ? apply_filters( 'spintech_translate_single_string', $company_benefit_item->icon_value,'company_benefit section' ) : '';
						$spintech_serv_link = ! empty( $company_benefit_item->link ) ? apply_filters( 'spintech_translate_single_string', $company_benefit_item->link, 'company_benefit section' ) : '';
						$image = ! empty( $company_benefit_item->image_url ) ? apply_filters( 'spintech_translate_single_string', $company_benefit_item->image_url, 'company_benefit section' ) : '';
				?>
                <div class="col">
                    <aside class="widget widget-contact">
                        <div class="contact-area">
                            <div class="contact-icon">
                               <div class="contact-corn">
									<?php if ( ! empty( $image )  &&  ! empty( $icon )){ ?>
										<img class="services_cols_mn_icon" src="<?php echo esc_url( $image ); ?>" <?php if ( ! empty( $spintech_company_benefit_title ) ) : ?> alt="<?php echo esc_attr( $spintech_company_benefit_title ); ?>" title="<?php echo esc_attr( $spintech_company_benefit_title ); ?>" <?php endif; ?> />
									<?php }elseif ( ! empty( $image ) ) { ?>
										<img class="services_cols_mn_icon" src="<?php echo esc_url( $image ); ?>" <?php if ( ! empty( $spintech_company_benefit_title ) ) : ?> alt="<?php echo esc_attr( $spintech_company_benefit_title ); ?>" title="<?php echo esc_attr( $spintech_company_benefit_title ); ?>" <?php endif; ?> />
									<?php }elseif ( ! empty( $icon ) ) {?>
										<i class="fa <?php echo esc_html( $icon ); ?> txt-pink"></i>
									<?php } ?>
							   </div>
                            </div>
                            <div class="contact-info">
								<?php if ( ! empty( $spintech_company_benefit_title ) ) : ?>
									<h6 class="title"><a href="<?php echo esc_url( $spintech_serv_link ); ?>"><?php echo esc_html( $spintech_company_benefit_title ); ?></a></h6>
								<?php endif; ?>
								<?php if ( ! empty( $text ) ) : ?>
									<p class="mb-0"><?php echo esc_html( $text ); ?></p>
								<?php endif; ?>
										
                            </div>
                        </div>
                    </aside>
                </div>
				<?php } } ?>
            </div>
        </div>
    </section>
<?php } ?>	
    <!-- End: Benefits
    =================================-->
	
<?php get_footer(); ?>