<?php 
/**
Template Name: Company Support Page
*/

get_header();
$hs_company_support				= get_theme_mod('hs_company_support','1');
$company_support_title			= get_theme_mod('company_support_title','Explore');
$company_support_subtitle		= get_theme_mod('company_support_subtitle','Amazing Help <span class="text-primary">Services</span>');
$company_support_description	= get_theme_mod('company_support_description','Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.');
$company_support_contents				= get_theme_mod('company_support_contents',spintech_get_com_support_default());
if($hs_company_support == '1') { 
?>
<section id="support-section" class="support-section info-section st-pt-default">
        <div class="container">
            <div class="row">
                <div class="col-lg-7 col-12 mx-lg-auto mb-5 text-center">
                    <div class="heading-default wow fadeInUp">
                        <?php if ( ! empty( $company_support_title ) ) : ?>
							 <span class="badge bg-primary ttl"><?php echo wp_kses_post($company_support_title); ?></span>
						<?php endif; ?>
						<?php if ( ! empty( $company_support_subtitle ) ) : ?>		
							<h2><?php echo wp_kses_post($company_support_subtitle); ?></h2>   							
						<?php endif; ?>	
						<?php if ( ! empty( $company_support_description ) ) : ?>		
							<p><?php echo wp_kses_post($company_support_description); ?></p>    
						<?php endif; ?>	
                    </div>
                </div>
            </div>
            <div class="row row-cols-1 row-cols-md-3 row-cols-lg-6 g-4 wow fadeInUp sppprts">
				<?php
					if ( ! empty( $company_support_contents ) ) {
					$company_support_contents = json_decode( $company_support_contents );
					foreach ( $company_support_contents as $company_support_item ) {
						$spintech_company_support_title = ! empty( $company_support_item->title ) ? apply_filters( 'spintech_translate_single_string', $company_support_item->title, 'company_support section' ) : '';
						$icon = ! empty( $company_support_item->icon_value) ? apply_filters( 'spintech_translate_single_string', $company_support_item->icon_value,'company_support section' ) : '';
						$spintech_serv_link = ! empty( $company_support_item->link ) ? apply_filters( 'spintech_translate_single_string', $company_support_item->link, 'company_support section' ) : '';
						$image = ! empty( $company_support_item->image_url ) ? apply_filters( 'spintech_translate_single_string', $company_support_item->image_url, 'company_support section' ) : '';
				?>
                <div class="col">
                    <aside class="widget widget-contact">
                        <div class="contact-area">
                            <div class="contact-icon">
                               <div class="contact-corn">
								   <?php if ( ! empty( $image )  &&  ! empty( $icon )){ ?>
										<img class="services_cols_mn_icon" src="<?php echo esc_url( $image ); ?>" <?php if ( ! empty( $spintech_company_support_title ) ) : ?> alt="<?php echo esc_attr( $spintech_company_support_title ); ?>" title="<?php echo esc_attr( $spintech_company_support_title ); ?>" <?php endif; ?> />
									<?php }elseif ( ! empty( $image ) ) { ?>
										<img class="company_supports_cols_mn_icon" src="<?php echo esc_url( $image ); ?>" <?php if ( ! empty( $spintech_company_support_title ) ) : ?> alt="<?php echo esc_attr( $spintech_company_support_title ); ?>" title="<?php echo esc_attr( $spintech_company_support_title ); ?>" <?php endif; ?> />
									<?php }elseif ( ! empty( $icon ) ) {?>
										<i class="fa <?php echo esc_html( $icon ); ?> txt-pink"></i>
									<?php } ?>
							   </div>
                            </div>
                            <div class="contact-info">
                                <?php if ( ! empty( $spintech_company_support_title ) ) : ?>
									<h6 class="title"><a href="<?php echo esc_url( $spintech_serv_link ); ?>"><?php echo esc_html( $spintech_company_support_title ); ?></a></h6>
								<?php endif; ?>
                            </div>
                        </div>
                    </aside>
                </div>
                <?php }} ?>
            </div>
        </div>
    </section>
<?php } ?>	
<?php
	$hs_company_support_care				= get_theme_mod('hs_company_support_care','1');
	$company_support_care_contents		= get_theme_mod('company_support_care_contents',spintech_get_com_support_care_default());
	if($hs_company_support_care == '1') { 
?>
    <section id="support-cares" class="support-cares mt-5 st-pb-default">
        <div class="container">
            <div class="row">
                <div class="col-md-10 col-12 mx-auto">
                    <div class="row row-cols-1 row-cols-md-2 row-cols-lg-3 g-4 wow fadeInUp">
						<?php
							if ( ! empty( $company_support_care_contents ) ) {
							$company_support_care_contents = json_decode( $company_support_care_contents );
							foreach ( $company_support_care_contents as $company_support_care_item ) {
								$spintech_company_support_care_title = ! empty( $company_support_care_item->title ) ? apply_filters( 'spintech_translate_single_string', $company_support_care_item->title, 'company_support_care section' ) : '';
								$text = ! empty( $company_support_care_item->text ) ? apply_filters( 'spintech_translate_single_string', $company_support_care_item->text, 'company_support_care section' ) : '';
								$icon = ! empty( $company_support_care_item->icon_value) ? apply_filters( 'spintech_translate_single_string', $company_support_care_item->icon_value,'company_support_care section' ) : '';
								$button = ! empty( $company_support_care_item->text2) ? apply_filters( 'spintech_translate_single_string', $company_support_care_item->text2,'company_support_care section' ) : '';
								$spintech_serv_link = ! empty( $company_support_care_item->link ) ? apply_filters( 'spintech_translate_single_string', $company_support_care_item->link, 'company_support_care section' ) : '';
								$image = ! empty( $company_support_care_item->image_url ) ? apply_filters( 'spintech_translate_single_string', $company_support_care_item->image_url, 'company_support_care section' ) : '';
						?>
                        <div class="col">
                            <div class="widget widget-contact">
                                <div class="contact-area">
                                    <div class="contact-icon">
                                        <div class="contact-corn">
                                            <?php if ( ! empty( $image )  &&  ! empty( $icon )){ ?>
												<img class="company_support_cares_cols_mn_icon" src="<?php echo esc_url( $image ); ?>" <?php if ( ! empty( $spintech_company_support_care_title ) ) : ?> alt="<?php echo esc_attr( $spintech_company_support_care_title ); ?>" title="<?php echo esc_attr( $spintech_company_support_care_title ); ?>" <?php endif; ?> />
											<?php }elseif ( ! empty( $image ) ) { ?>
												<img class="company_support_cares_cols_mn_icon" src="<?php echo esc_url( $image ); ?>" <?php if ( ! empty( $spintech_company_support_care_title ) ) : ?> alt="<?php echo esc_attr( $spintech_company_support_care_title ); ?>" title="<?php echo esc_attr( $spintech_company_support_care_title ); ?>" <?php endif; ?> />
											<?php }elseif ( ! empty( $icon ) ) {?>
												<i class="fa <?php echo esc_html( $icon ); ?> txt-pink"></i>
											<?php } ?>
                                        </div>
                                    </div>
                                    <div class="contact-info">
									
                                        <?php if ( ! empty( $spintech_company_support_care_title ) ) : ?>
											<h6 class="title"><a href="<?php echo esc_url( $spintech_serv_link ); ?>"><?php echo esc_html( $spintech_company_support_care_title ); ?></a></h6>
										<?php endif; ?>
										
                                        <?php if ( ! empty( $text ) ) : ?>
											<p><?php echo esc_html( $text ); ?></p>
										<?php endif; ?>
										<?php if ( ! empty( $button ) ) : ?>	
											<div class="contact-btn"><a href="<?php echo esc_url( $spintech_serv_link ); ?>" class="read-link"><?php echo esc_html( $button ); ?></a></div>
										<?php endif; ?>
                                    </div>
                                </div>
                            </div>
                        </div>
						<?php }} ?>
                    </div>
                </div>
            </div>
        </div>
    </section>
<?php } ?>		
    <!-- End: Support Page
    =================================-->
<?php get_footer(); ?>