<!--===// Start: Footer
    =================================-->
    <footer id="footer-section" class="footer-section main-footer">
		<?php 
			$hs_footer_social		=	get_theme_mod('hs_footer_social','1');
			$footer_social_content	=	get_theme_mod('footer_social_content',spintech_get_footer_social_icon_default());	
			
			$hs_footer_ct_info		=	get_theme_mod('hs_footer_ct_info','1');
			$footer_ct_info_content	=	get_theme_mod('footer_ct_info_content',spintech_get_foot_info_default());
			if($hs_footer_social == '1' || $hs_footer_ct_info == '1') {
		?>
        <div class="footer-above">
            <div class="container">
                <div class="row align-items-center wow fadeInUp">
                    <div class="col-lg-6 col-md-12 col-12">
						<?php if($hs_footer_social == '1') { ?>
							<div class="footer-above-widget text-lg-left text-md-center text-center">
								<aside class="widget widget_social_widget">
									<ul>
										<?php
											$footer_social_content = json_decode($footer_social_content);
											if( $footer_social_content!='' )
											{
											foreach($footer_social_content as $social_item){	
											$social_icon = ! empty( $social_item->icon_value ) ? apply_filters( 'spintech_translate_single_string', $social_item->icon_value, 'Header section' ) : '';	
											$social_link = ! empty( $social_item->link ) ? apply_filters( 'spintech_translate_single_string', $social_item->link, 'Header section' ) : '';
										?>
											<li><a href="<?php echo esc_url( $social_link ); ?>"><i class="fa <?php echo esc_attr( $social_icon ); ?>"></i></a></li>
										<?php }} ?>
									</ul>
								</aside>
							</div>
						<?php } ?>	
                    </div>
                    <div class="col-lg-6 col-md-9 col-12 mt-lg-0 mx-md-auto mt-5">
						<?php if($hs_footer_ct_info == '1') { ?>
							<div class="footer-above-widget footer-above-carousel owl-carousel owl-theme text-lg-right text-md-center text-center ct-info">
								<?php
									if ( ! empty( $footer_ct_info_content ) ) {
									$footer_ct_info_content = json_decode( $footer_ct_info_content );
									foreach ( $footer_ct_info_content as $info_item ) {
										$title = ! empty( $info_item->title ) ? apply_filters( 'spintech_translate_single_string', $info_item->title, 'Footer Contact Section' ) : '';
										$subtitle = ! empty( $info_item->subtitle ) ? apply_filters( 'spintech_translate_single_string', $info_item->subtitle, 'Footer Contact Section' ) : '';
										$icon = ! empty( $info_item->icon_value) ? apply_filters( 'spintech_translate_single_string', $info_item->icon_value,'Footer Contact Section' ) : '';
								?>
									<aside class="widget widget-contact">
										<div class="contact-area">
											<?php if (! empty( $icon )){ ?>
												<div class="contact-icon">
													<div class="contact-corn"><i class="fa <?php echo esc_attr($icon); ?>"></i></div>
												</div>
											<?php } ?>	
											<div class="contact-info">
												<?php if (! empty( $title )){ ?>
													<h6 class="title"><?php echo esc_html( $title ); ?></h6>
												<?php } ?>	
												<?php if (! empty( $subtitle )){ ?>												
													<p class="text"><a href="javascript:void(0);"><?php echo esc_html( $subtitle ); ?></a></p>
												<?php } ?>		
											</div>
										</div>
									</aside>
								<?php }}?>
								
							</div>
						<?php } ?>
                    </div>
                </div>
            </div>
        </div>
		<?php } ?>
		<?php
			$footer_widget_layout	    = get_theme_mod('footer_widget_layout','4');
			if ($footer_widget_layout == '4') {
				$cols = 'col-lg-3';
			} elseif ($footer_widget_layout == '3') {
				$cols = 'col-lg-4';
			} elseif ($footer_widget_layout == '2') {
				$cols = 'col-lg-6';
			} else {
				$cols = 'col-lg-12';
			}
		?>	
		<?php if($footer_widget_layout !== 'disable') { ?>	
			<div class="footer-main">
				<div class="container">
					<div class="row">
						<?php if ( is_active_sidebar( 'footer-1' ) ) : ?>
							<div class="<?php echo esc_attr($cols); ?> col-md-6 col-12 mb-lg-0 mb-5 wow fadeInUp">
							   <?php dynamic_sidebar( 'footer-1'); ?>
							</div>
						<?php endif; ?>
						<?php if ( is_active_sidebar( 'footer-2' ) ) : ?>
							<div class="<?php echo esc_attr($cols); ?> col-md-6 col-12 mb-lg-0 mb-5 wow fadeInUp">
							   <?php dynamic_sidebar( 'footer-2'); ?>
							</div>
						<?php endif; ?>
						<?php if ( is_active_sidebar( 'footer-3' ) ) : ?>
							<div class="<?php echo esc_attr($cols); ?> col-md-6 col-12 mb-lg-0 mb-5 wow fadeInUp">
								<?php dynamic_sidebar( 'footer-3'); ?>
							</div>
						<?php endif; ?>
						<?php if ( is_active_sidebar( 'footer-4' ) ) : ?>
							<div class="<?php echo esc_attr($cols); ?> col-md-6 col-12 mb-lg-0 mb-5 wow fadeInUp">
								<?php dynamic_sidebar( 'footer-4'); ?>
							</div>
						<?php endif; ?>
							
					</div>
				</div>
			</div>
		<?php } ?>
		<?php 
			$footer_btm_logo_img		=	get_theme_mod('footer_btm_logo_img',get_template_directory_uri() . '/assets/images/logo_1.svg');
			$footer_copyright 			= get_theme_mod('footer_copyright','Copyright &copy; [current_year] [site_title] | Powered by [theme_author]');
			$hs_footer_btm_menu		=	get_theme_mod('hs_footer_btm_menu','1');
		?>	
        <div class="footer-copyright">
            <div class="container">
                <div class="row align-items-center gy-lg-0 gy-4">
                    <div class="col-lg-4 col-md-6 col-12 text-lg-left text-md-left text-center">
						<?php  if ( ! empty( $footer_btm_logo_img ) ){ ?>
							<aside class="widget widget_text">
								<div class="textwidget">
									<div class="logo">
										<a href="<?php echo esc_url( home_url( '/' ) ); ?>"><img src="<?php echo esc_url($footer_btm_logo_img); ?>" alt="Spintech"></a>
									</div>
								</div>
							</aside>
						<?php } ?>		
                    </div>
                    <div class="col-lg-4 col-md-6 col-12 text-lg-center text-md-right text-center"> 
						<?php  if ( ! empty( $footer_copyright ) ){ ?>
							<?php 	
								$spintech_copyright_allowed_tags = array(
									'[current_year]' => date_i18n('Y'),
									'[site_title]'   => get_bloginfo('name'),
									'[theme_author]' => sprintf(__('<a href="#">Spintech WordPress Theme</a>', 'spintech-pro')),
								);
							?>                          
							<div class="copyright-text">
								<?php
									echo apply_filters('spintech_footer_copyright', wp_kses_post(spintech_str_replace_assoc($spintech_copyright_allowed_tags, $footer_copyright)));
								?>
							</div>
						<?php } ?>	
                    </div>
                    <div class="col-lg-4 col-md-12 text-lg-right text-center">
						<?php if ($hs_footer_btm_menu == '1') {?>
							<aside class="widget widget_nav_menu">
								<div class="menu-pages-container">
									<?php 
										wp_nav_menu( 
											array(  
												'theme_location' => 'footer_menu',
												'container'  => '',
												'menu_class' => 'menu',
												'fallback_cb' => 'WP_Bootstrap_Navwalker::fallback',
												'walker' => new WP_Bootstrap_Navwalker()
												 ) 
											);
									?>   
								</div>
							</aside>
						<?php } ?>	
                    </div>
                </div>
            </div>
        </div>
    </footer>
    <!-- End: Footer
    =================================-->

    <!-- Scrolling Up -->
	<?php 
		$hs_scroller		=	get_theme_mod('hs_scroller','1');
		$scroller_icon		=	get_theme_mod('scroller_icon','fa-angle-up');
	?>		
	<?php if ($hs_scroller == '1') { ?>
		<button type="button" class="scrollingUp scrolling-btn" aria-label="scrollingUp"><i class="fa <?php echo esc_attr($scroller_icon); ?>"></i></button>
	<?php } ?>		
<?php 
$front_pallate_enable = get_theme_mod('front_pallate_enable');
	if($front_pallate_enable == '1') :
		get_template_part('index','switcher');
	endif;
?>	
</div>
</div>		
<?php wp_footer(); ?>
</body>
</html>
