<?php // Adding customizer layout manager settings
function spintech_layout_manager_customizer( $wp_customize ){

	/* layout manager section */
	$wp_customize->add_section( 'frontpage_layout' , array(
		'title'      => __('Sections Reorder', 'spintech-pro'),
		'priority'       => 39,
   	) );
	
	 $wp_customize->add_setting( 
		'section_reorder' , 
			array(
			'default'   => array(
							'slider',
							 'info',
							 'service',
							 'design',
							 'project',
							  'team',
							  'gallery',
							  'pricing',
							  'funfact',
							  'testimonial',
							  'cta',
							  'blog'
						),
		'sanitize_callback' => 'spintech_sanitize_sortable',
		) 
	);
	
	$wp_customize->add_control( 
	new Spintech_Control_Sortable( $wp_customize, 'section_reorder', 
		array(
			'label'      => __( 'Structure', 'spintech-pro' ),
			'section'     => 'frontpage_layout',
			'priority'      => 2,
			'choices'     => array(
				'slider'   => __( 'Slider Section', 'spintech-pro' ),
				'info'     => __( 'Info Section', 'spintech-pro' ),
				'service'     => __( 'Service Section', 'spintech-pro' ),
				'design'     => __( 'Design Section', 'spintech-pro' ),
				'project'     => __( 'Project Section', 'spintech-pro' ),
				'team'   => __( 'Team Section', 'spintech-pro' ),
				'gallery'     => __( 'Gallery Section', 'spintech-pro' ),
				'pricing'     => __( 'Pricing Section', 'spintech-pro' ),
				'funfact'     => __( 'Funfact Section', 'spintech-pro' ),
				'testimonial'     => __( 'Testimonial Section', 'spintech-pro' ),
				'cta'     => __( 'Call to Action Section', 'spintech-pro' ),
				'blog'     => __( 'Blog Section', 'spintech-pro' ),
				'custom'     => __( 'Custom Section', 'spintech-pro' ),
			),
		) ) 
	);	
	
}
add_action( 'customize_register', 'spintech_layout_manager_customizer' );