<!DOCTYPE html>
<html lang="en">

  <head>
    <meta charset="<?php bloginfo( 'charset' ); ?>">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<link rel="profile" href="http://gmpg.org/xfn/11">
	<?php if ( is_singular() && pings_open( get_queried_object() ) ) : ?>
	<link rel="pingback" href="<?php esc_url(bloginfo( 'pingback_url' )); ?>">
	<?php endif; ?>

    <!-- Icon CSS -->
    <link rel="stylesheet" href="<?php echo SPINTECH_PARENT_URI?>/assets/css/fonts/font-awesome/css/font-awesome.min.css">

    <link rel="stylesheet" href="<?php echo SPINTECH_PARENT_URI?>/assets/css/editor-style.css">
    <!-- Animate CSS -->
    <link rel="stylesheet" href="<?php echo SPINTECH_PARENT_URI?>/assets/css/animate.min.css">
    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="<?php echo SPINTECH_PARENT_URI?>/assets/css/bootstrap.min.css">
    <!-- Classic-Menu CSS -->

    <link rel="stylesheet" href="<?php echo SPINTECH_PARENT_URI?>/assets/css/classic-menu.css">
    <!-- Owl CSS -->
    <link rel="stylesheet" href="<?php echo SPINTECH_PARENT_URI?>/assets/css/owl.carousel.min.css">
    <!-- Magnific CSS -->
    <link rel="stylesheet" href="<?php echo SPINTECH_PARENT_URI?>/assets/css/magnific-popup.min.css">
    <!-- Main CSS -->
    <link rel="stylesheet" href="<?php echo SPINTECH_PARENT_URI?>/assets/css/main.css">
    <!-- Widget CSS -->
    <link rel="stylesheet" href="<?php echo SPINTECH_PARENT_URI?>/assets/css/widgets.css">
    <!-- Reponsive CSS -->
    <link rel="stylesheet" href="<?php echo SPINTECH_PARENT_URI?>/assets/css/responsive.css">

    <!--[if lt IE 9]>
    <script src="https://oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
    <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
    <![endif]-->

  </head>
  <!-- Header 3 Type Set "header-default" "above-header-bg" "header-transparent" -->
  <body class="above-header-bg">
    
    <!--===// Start: Preloader
    =================================-->
    <?php 
		$hs_preloader		=	get_theme_mod('hs_preloader'); 
		if($hs_preloader == '1'){
	?>
		<div id="preloader" class="preloader">
			<div class="spinner-grow text-light" role="status"><span class="sr-only">Loading...</span></div>
		</div>
	<?php } ?>	
    <!-- End: Preloader
    =================================-->
<?php get_template_part('template-parts/sections/section-comming','soon'); ?>

    <!--===// Start: Scripts
    =================================-->
    <script src="<?php echo SPINTECH_PARENT_URI?>/assets/js/popper.min.js"></script>
    <script src="<?php echo SPINTECH_PARENT_URI?>/assets/js/bootstrap.min.js"></script>
    <script src="<?php echo SPINTECH_PARENT_URI?>/assets/js/masonry.pkgd.min.js"></script>
    <script src="<?php echo SPINTECH_PARENT_URI?>/assets/js/jquery.min.js"></script>
    <script src="<?php echo SPINTECH_PARENT_URI?>/assets/js/jquery.parallax-scroll.js"></script>
    <script src="<?php echo SPINTECH_PARENT_URI?>/assets/js/owl.carousel.min.js"></script>
    <script src="<?php echo SPINTECH_PARENT_URI?>/assets/js/wow.min.js"></script>
    <script src="<?php echo SPINTECH_PARENT_URI?>/assets/js/jquery.magnific-popup.min.js"></script>
    <script src="<?php echo SPINTECH_PARENT_URI?>/assets/js/jquery.counterup.min.js"></script>
    <script src="<?php echo SPINTECH_PARENT_URI?>/assets/js/isotope.pkgd.js"></script>
    <script src="<?php echo SPINTECH_PARENT_URI?>/assets/js/theme.min.js"></script>
    <!-- Countdown Script -->
    <script src="<?php echo SPINTECH_PARENT_URI?>/assets/js/jquery.countdown.min.js"></script>
    <!-- Custom -->
    <script src="<?php echo SPINTECH_PARENT_URI?>/assets/js/custom.js"></script>
    <!-- End: Scripts
    =================================-->

    <script>
       
    </script>

  </body>
</html>