<?php
	$abt_cta_title		= get_theme_mod('abt_cta_title','Want To Know More About Us? <small>Just download brochure....</small>'); 
	$abt_cta_btn_lbl	= get_theme_mod('abt_cta_btn_lbl','Download'); 
	$abt_cta_btn_link	= get_theme_mod('abt_cta_btn_link'); 
?>
<section id="cta-section" class="cta-section about-cta">
	<div class="container">
		<div class="row wow fadeInUp">
			<div class="col-12">
				<div class="cta-wrapper text-md-left text-center">
					<div class="cta-content">
						<?php if ( ! empty( $abt_cta_title ) ) : ?>
							<h5><?php echo wp_kses_post($abt_cta_title); ?></h5>
						<?php endif; ?>		
					</div>
					<div class="cta-btn-wrap text-lg-right text-center">
						<?php if ( ! empty( $abt_cta_btn_lbl ) ) : ?>
							<a href="<?php echo esc_url($abt_cta_btn_link); ?>" class="btn btn-primary mt-lg-0 mt-4" data-text="Join With Us"><i class="fa fa-cloud-download"></i> <?php echo esc_html($abt_cta_btn_lbl); ?></a>
						<?php endif; ?>		
					</div>
				</div>
			</div>
		</div>
	</div>
</section>