<!--===// Start: Coming-Soon Page
    =================================-->
<?php 
	$comming_soon_logo 		= get_theme_mod('comming_soon_logo',get_template_directory_uri() .'/assets/images/logo_2.svg');
	$comming_soon_title		= get_theme_mod('comming_soon_title','We Are Launching Our');
	$comming_soon_desc		= get_theme_mod('comming_soon_desc',"Working hard for something we don't care about is called stress. Working hard for smething we love is called passion.");
	$enable_comming_soon_form 		= get_theme_mod( 'enable_comming_soon_form','1');
	$comming_soon_shortcode 		= get_theme_mod( 'comming_soon_shortcode');
	$enable_comming_soon_social 	= get_theme_mod( 'enable_comming_soon_social','1');
	$comming_soon_social_icons 		= get_theme_mod( 'comming_soon_social_icons',spintech_get_comming_soon_social_icon_default());
	$comming_soon_bg_img = get_theme_mod('comming_soon_bg_img');
	$comming_soon_time   = get_theme_mod('comming_soon_time','2022/01/01 14:21:37');
?>	
<section id="comingsoon-page" class="comingsoon-page <?php if (  empty($comming_soon_bg_img) ) : ?> comingsoon-v2 <?php endif; ?>	st-py-default" style="background-image: url(<?php echo esc_url($comming_soon_bg_img);?>);">
	<div class="container h-full">
		<div class="row h-full wow fadeInUp">
			<div class="col-lg-9 col-12 m-auto text-center">
				<div class="comingsoon-wrapper">                        
					<div class="comingsoon-text mb-4">
						<?php if ( ! empty( $comming_soon_logo ) ) : ?>
							<div class="comingsoon-logo">
								<a href="<?php echo esc_url( home_url( '/' ) ); ?>" class="logo"><img src="<?php echo esc_url($comming_soon_logo); ?>" alt="Spintech" width="132" height="43"></a>
							</div>
						<?php endif; ?>
						<?php if ( ! empty( $comming_soon_title ) ) : ?>		
							<h2><?php echo wp_kses_post($comming_soon_title); ?></h2>    
						<?php endif; ?>	
						<?php if ( ! empty( $comming_soon_desc ) ) : ?>		
							<p><?php echo wp_kses_post($comming_soon_desc); ?></p>    
						<?php endif; ?>	
					</div>
					<div class="comingsoon-fact text-center mb-4">
						<div data-countdown="<?php echo esc_attr($comming_soon_time); ?>" id="countDown" class="row row-cols-1 row-cols-md-2 row-cols-lg-4 g-4 timer theme-card-circle wow fadeInUp">
							<div class="col">
								<div class="theme-item">
									<div class="theme-icon">
										<div class="theme-corn">
											<h1 class="days">0</h1>
											<h5>Days</h5>
										</div>
									</div>
									<div class="circles-spin">
										<div class="circle-one"></div>
										<div class="circle-two"></div>
									</div>
								</div>
							</div>
							<div class="col">
								<div class="theme-item">
									<div class="theme-icon">
										<div class="theme-corn">
											<h1 class="hours">0</h1>
											<h5>Hours</h5>
										</div>
									</div>
									<div class="circles-spin">
										<div class="circle-one"></div>
										<div class="circle-two"></div>
									</div>
								</div>
							</div>
							<div class="col">
								<div class="theme-item">
									<div class="theme-icon">
										<div class="theme-corn">
											<h1 class="minutes">0</h1>
											<h5>Minutes</h5>
										</div>
									</div>
									<div class="circles-spin">
										<div class="circle-one"></div>
										<div class="circle-two"></div>
									</div>
								</div>
							</div>
							<div class="col">
								<div class="theme-item">
									<div class="theme-icon">
										<div class="theme-corn">
											<h1 class="seconds">0</h1>
											<h5>Seconds</h5>
										</div>
									</div>
									<div class="circles-spin">
										<div class="circle-one"></div>
										<div class="circle-two"></div>
									</div>
								</div>
							</div>
						</div>
					</div>
					<?php if($enable_comming_soon_form == '1') { ?>
						<div class="comingsoon-form widget mt-2">
							<?php 
									if($comming_soon_shortcode != '') {
										echo do_shortcode( $comming_soon_shortcode );
									}else{
								?>
										<form role="mail" method="get" class="search-form" action="#">
											<div>
												<input type="email" class="form-control" placeholder="Type Your email address" name="mail" id="mail">
												<button role="button" type="submit" class="btn btn-primary search-submit" aria-label="Email">Subscribe</button>
											</div>
										</form>
								<?php } ?>	
						</div>
					<?php } ?>
					<?php if($enable_comming_soon_social == '1') { ?>
						<div class="comingsoon-widget">
							<aside class="widget widget_social_widget">
								<ul>
									<?php
										$comming_soon_social_icons = json_decode($comming_soon_social_icons);
										if( $comming_soon_social_icons!='' )
										{
										foreach($comming_soon_social_icons as $social_item){	
										$social_icon = ! empty( $social_item->icon_value ) ? apply_filters( 'spintech_translate_single_string', $social_item->icon_value, 'Comming Soon' ) : '';	
										$social_link = ! empty( $social_item->link ) ? apply_filters( 'spintech_translate_single_string', $social_item->link, 'Comming Soon' ) : '';
									?>
											<li><a href="<?php echo esc_url( $social_link ); ?>"><i class="fa <?php echo esc_attr( $social_icon ); ?>"></i></a></li>
									<?php }} ?>
								</ul>
							</aside>
						</div>
					<?php } ?>	
				</div>
			</div>
		</div>
	</div>
	<?php if (  empty($comming_soon_bg_img) ) : ?>
		<div class="shape-soon01"><img src="<?php echo esc_url(get_template_directory_uri()); ?>/assets/images/clipArt/comingSoon/shape1.png" alt="image"></div>
		<div class="shape-soon02"><img src="<?php echo esc_url(get_template_directory_uri()); ?>/assets/images/clipArt/comingSoon/shape2.png" alt="image"></div>
		<div class="shape-soon03"><img src="<?php echo esc_url(get_template_directory_uri()); ?>/assets/images/clipArt/comingSoon/shape3.png" alt="image"></div>
		<div class="shape-soon04"><img src="<?php echo esc_url(get_template_directory_uri()); ?>/assets/images/clipArt/comingSoon/shape4.png" alt="image"></div>
		<div class="shape-soon04r1"><img src="<?php echo esc_url(get_template_directory_uri()); ?>/assets/images/clipArt/comingSoon/shape4.png" alt="image"></div>
		<div class="shape-soon04r2"><img src="<?php echo esc_url(get_template_directory_uri()); ?>/assets/images/clipArt/comingSoon/shape4.png" alt="image"></div>
		<div class="shape-soon05"><img src="<?php echo esc_url(get_template_directory_uri()); ?>/assets/images/clipArt/comingSoon/shape5.png" alt="image"></div>
		<div class="shape-soon06"><img src="<?php echo esc_url(get_template_directory_uri()); ?>/assets/images/clipArt/comingSoon/shape6.png" alt="image"></div>
		<div class="shape-soon07"><img src="<?php echo esc_url(get_template_directory_uri()); ?>/assets/images/clipArt/comingSoon/shape7.png" alt="image"></div>
		<div class="shape-soon08"><img src="<?php echo esc_url(get_template_directory_uri()); ?>/assets/images/clipArt/comingSoon/shape8.png" alt="image"></div>
		<?php endif; ?>	
</section>
<!-- End: Coming-Soon Page
=================================-->