<?php 
	$custom_title				= get_theme_mod('custom_title','Explore');
	$custom_subtitle			= get_theme_mod('custom_subtitle','Our <span class="text-primary">custom</span>');
	$custom_description		    = get_theme_mod('custom_description','Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.');
	$spintech_custom_content 	= get_theme_mod('spintech_custom_content','Custom Section Description');
?>
	<section id="customs-section" class="customs-section st-py-default home-custom">
        <div class="container">
            <div class="row">
                <div class="col-lg-7 col-12 mx-lg-auto mb-5 text-center">
                    <div class="heading-default wow fadeInUp">
                        <?php if ( ! empty( $custom_title ) ) : ?>
							 <span class="badge bg-primary ttl"><?php echo wp_kses_post($custom_title); ?></span>
						<?php endif; ?>
						<?php if ( ! empty( $custom_subtitle ) ) : ?>		
							<h2><?php echo wp_kses_post($custom_subtitle); ?></h2>   							
						<?php endif; ?>	
						<?php if ( ! empty( $custom_description ) ) : ?>		
							<p><?php echo wp_kses_post($custom_description); ?></p>    
						<?php endif; ?>	
                    </div>
                </div>
            </div>
            <div class="row row-cols-1 row-cols-md-1 g-4 wow fadeInUp">
                <?php 
					if ( ! empty( $spintech_custom_content ) ) : 	
						 echo wp_kses_post($spintech_custom_content);  
					 endif; 
				 ?>
            </div>
        </div>
        <div class="shape3"><img src="<?php echo esc_url(get_template_directory_uri()); ?>/assets/images/clipArt/shape3.png" alt="image"></div>
        <div class="shape6"><img src="<?php echo esc_url(get_template_directory_uri()); ?>/assets/images/clipArt/shape6.png" alt="image"></div>
        <div class="shape7"><img src="<?php echo esc_url(get_template_directory_uri()); ?>/assets/images/clipArt/shape7.png" alt="image"></div>
        <div class="shape8"><img src="<?php echo esc_url(get_template_directory_uri()); ?>/assets/images/clipArt/shape8.png" alt="image"></div>
        <div class="shape9"><img src="<?php echo esc_url(get_template_directory_uri()); ?>/assets/images/clipArt/shape6.png" alt="image"></div>
    </section>