
        <!--===// Start: Navigation Wrapper
        =================================-->
        <div class="navigation-wrapper">
            <!--===// Start: Main Desktop Navigation
            =================================-->
            <div class="main-navigation-area d-none d-lg-block">
                <div class="main-navigation <?php echo spintech_sticky_menu(); ?>">
                    <div class="container">
                        <div class="row">
                            <div class="col-2 my-auto">
                                <div class="logo">
                                    <?php
										if(has_custom_logo())
										{	
											the_custom_logo();
										}
										else { 
										?>
										<a href="<?php echo esc_url( home_url( '/' ) ); ?>">
											<h4 class="site-title">
												<?php 
													echo esc_html(bloginfo('name'));
												?>
											</h4>
										</a>	
									<?php 						
										}
									?>
									<?php
										$description = get_bloginfo( 'description');
										if ($description) : ?>
											<p class="site-description"><?php echo $description; ?></p>
									<?php endif; ?>
                                </div>
                            </div>
                            <div class="col-10 my-auto">
                                <nav class="navbar-area">
                                    <div class="main-navbar">
                                        <?php 
											wp_nav_menu( 
												array(  
													'theme_location' => 'primary_menu',
													'container'  => '',
													'menu_class' => 'main-menu',
													'fallback_cb' => 'WP_Bootstrap_Navwalker::fallback',
													'walker' => new WP_Bootstrap_Navwalker()
													 ) 
												);
										?>                         
                                    </div>
                                    <div class="main-menu-right">
                                        <ul class="menu-right-list">
                                            <?php $hide_show_cart       = get_theme_mod( 'hide_show_cart','1'); ?>
                                            <?php if($hide_show_cart == '1') { ?>
                                            <?php if ( class_exists( 'WooCommerce' ) ) { ?>
                                                <li class="cart-wrapper">
                                                    <button type="button" class="cart-icon-wrap" id="cart" title="View your shopping cart">
                                                        <div class="cart-count">
                                                            <i class="fa fa-shopping-bag"></i>
                                                            <?php 
                                                            if ( in_array( 'woocommerce/woocommerce.php', apply_filters( 'active_plugins', get_option( 'active_plugins' ) ) ) ) {
                                                                $count = WC()->cart->cart_contents_count;
                                                                $cart_url = wc_get_cart_url();
                                                                
                                                                if ( $count > 0 ) {
                                                                ?>
                                                                     <span><?php echo esc_html( $count ); ?></span>
                                                                <?php 
                                                                }
                                                                else {
                                                                    ?>
                                                                    <span>0</span>
                                                                    <?php 
                                                                }
                                                            }
                                                            ?>
                                                        </div>
                                                        <!-- Shopping Cart Start -->
                                                        <div class="shopping-cart">
                                                            <?php get_template_part('woocommerce/cart/mini','cart'); ?>
                                                        </div>
                                                        <!-- Shopping Cart End -->
                                                    </button>
                                                </li>
                                            <?php } } ?>
											<?php 
												$hs_nav_search		=	get_theme_mod('hs_nav_search','1');
											?>	
											<?php if($hs_nav_search == '1') { ?>
												<li class="search-button">
													<button type="button" id="header-search-toggle" class="header-search-toggle" aria-expanded="false" aria-label="Search Popup"><i class="fa fa-search"></i></button>
												</li>
											<?php } ?>
											<?php 
											$hs_nav_contact		=	get_theme_mod('hs_nav_contact','1');
											$nav_contact_icon	=	get_theme_mod('nav_contact_icon','fa-envelope');
											$nav_contact_ttl	=	get_theme_mod('nav_contact_ttl','Contact For Support');
											$nav_contact_text	=	get_theme_mod('nav_contact_text','70 975 975 70');
											if($hs_nav_contact == '1') {
											?>	
												<li class="widget-list">
													<aside class="widget widget-contact">
														<div class="contact-area">
															<div class="contact-icon">
																<div class="contact-corn">
                                                                    <?php if ( ! empty( $nav_contact_icon ) ) : ?>
                                                                    <i class="fa <?php echo esc_attr( $nav_contact_icon ); ?>"></i>
                                                                    <?php else : ?>
                                                                    <img src="<?php echo esc_url(get_template_directory_uri()); ?>/assets/images/chat-icon.png">
                                                                    <?php endif; ?>
                                                                </div>
															</div>
															<div class="contact-info">
																<h6 class="title"><?php echo esc_html( $nav_contact_ttl ); ?></h6>
																<p class="text"><a href="tel:<?php echo esc_html($nav_contact_text); ?>"><?php echo esc_html( $nav_contact_text ); ?></a></p>
															</div>
														</div>
													</aside>
												</li>
											<?php } ?>
                                            <!-- <li class="button-area">
                                                <a href="javascript:void(0);" target="_blank" class="btn btn-primary">Click Button</a>
                                            </li> -->
                                        </ul>                            
                                    </div>
                                </nav>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <!--===// End:  Main Desktop Navigation
            =================================-->
            <!--===// Start: Main Mobile Navigation
            =================================-->
            <div class="main-mobile-nav <?php echo spintech_sticky_menu(); ?>"> 
                <div class="container">
                    <div class="row">
                        <div class="col-12">
                            <div class="main-mobile-menu">
                                <div class="mobile-logo">
                                    <div class="logo">
                                       <?php
											if(has_custom_logo())
											{	
												the_custom_logo();
											}
											else { 
											?>
											<a href="<?php echo esc_url( home_url( '/' ) ); ?>">
												<h4 class="site-title">
													<?php 
														echo esc_html(bloginfo('name'));
													?>
												</h4>
											</a>	
										<?php 						
											}
										?>
										<?php
											$description = get_bloginfo( 'description');
											if ($description) : ?>
												<p class="site-description"><?php echo $description; ?></p>
										<?php endif; ?>
									</div>
                                </div>
                                <div class="menu-collapse-wrap">
                                    <div class="hamburger-menu">
                                        <button type="button" class="menu-collapsed" aria-label="Menu Collaped">
                                            <div class="top-bun"></div>
                                            <div class="meat"></div>
                                            <div class="bottom-bun"></div>
                                        </button>
                                    </div>
                                </div>
                                <div class="main-mobile-wrapper">
                                    <div id="mobile-menu-build" class="main-mobile-build">
                                        <button type="button" class="header-close-menu close-style" aria-label="Header Close Menu"></button>
                                    </div>
                                    <div class="main-mobile-overlay" tabindex="-1"></div>
                                </div>
                                <div class="header-above-btn">
                                    <button type="button" class="header-above-collapse" aria-label="Header Above Collapse"><span></span></button>
                                </div>
                                <div class="header-above-wrapper">
                                    <div id="header-above-bar" class="header-above-bar"></div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>        
            </div>
            <!--===// End: Main Mobile Navigation
            =================================-->
        </div>
        <!--===// End: Navigation Wrapper
        =================================-->
        <!--===// Start: Header Search PopUp
        =================================-->
        <div class="header-search-popup">
            <div class="header-search-flex">
                <form role="search" method="get" class="search-form" action="<?php echo esc_url( home_url( '/' ) ); ?>" aria-label="<?php esc_attr_e( 'Site Search', 'spintech-pro' ); ?>">
                    <input type="search" class="form-control header-search-field" placeholder="<?php esc_attr_e( 'Type To Search', 'spintech-pro' ); ?>" name="s" id="search">
                    <button type="submit" class="search-submit"><i class="fa fa-search"></i></button>
                </form>
                <button type="button" id="header-search-close" class="close-style header-search-close" aria-label="Search Popup Close"></button>
            </div>
        </div>
        <!--===// End: Header Search PopUp
        =================================-->
    </header>
    <!-- End: Main Header
    =================================-->
<?php
	if ( !is_page_template( 'templates/template-homepage.php' ) ) {
	spintech_breadcrumbs_style();  
	}
?>	