<?php 
	$pricing_pg_faq_title				= get_theme_mod('pricing_pg_faq_title','FAQ');
	$pricing_pg_faq_subtitle			= get_theme_mod('pricing_pg_faq_subtitle','Frequently Askesd Question About <span class="text-primary">Pricing');
	$pricing_pg_faq_description			= get_theme_mod('pricing_pg_faq_description','Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.');
	$pricing_pg_faq						= get_theme_mod('pricing_pg_faq',spintech_get_pg_faq_default());
?>	
<section id="faq-section" class="faq-section st-py-default bg-primary-light price-faqs">
	<div class="container">
		<div class="row">
			<div class="col-lg-10 col-12 mx-lg-auto mb-5 text-center">
				<div class="heading-default wow fadeInUp">
					<?php if ( ! empty( $pricing_pg_faq_title ) ) : ?>
						 <span class="badge bg-primary ttl"><?php echo wp_kses_post($pricing_pg_faq_title); ?></span>
					<?php endif; ?>
					<?php if ( ! empty( $pricing_pg_faq_subtitle ) ) : ?>		
						<h2><?php echo wp_kses_post($pricing_pg_faq_subtitle); ?></h2>   							
					<?php endif; ?>	
					<?php if ( ! empty( $pricing_pg_faq_description ) ) : ?>		
						<p><?php echo wp_kses_post($pricing_pg_faq_description); ?></p>    
					<?php endif; ?>	
				</div>
			</div>
		</div>
		<div id="accordionOne" class="accordion row row-cols-1 row-cols-md-2 g-4 our-faq">
			<?php
				if ( ! empty( $pricing_pg_faq ) ) {
				$pricing_pg_faq = json_decode( $pricing_pg_faq );
				foreach ( $pricing_pg_faq as $i => $pricing_pg_faq_item ) {
					$title = ! empty( $pricing_pg_faq_item->title ) ? apply_filters( 'spintech_translate_single_string', $pricing_pg_faq_item->title, 'faq section' ) : '';
					$text = ! empty( $pricing_pg_faq_item->text ) ? apply_filters( 'spintech_translate_single_string', $pricing_pg_faq_item->text, 'faq section' ) : '';
			?>
				<div class="col">
					<div class="card">
						<div class="card-header" id="heading0<?php echo esc_html( $i ); ?>">
							<h2 class="mb-0">
								<button class="acc-btn btn btn-link btn-block text-left collapsed" type="button" data-toggle="collapse" data-target="#collapse0<?php echo esc_html( $i ); ?>" aria-expanded="false" aria-controls="collapse0<?php echo esc_html( $i ); ?>">
									<?php if ( ! empty( $title ) ) : ?>
										<?php echo esc_html( $title ); ?>
									<?php endif; ?>
								</button>
							</h2>
						</div>

						<div id="collapse0<?php echo esc_html( $i ); ?>" class="collapse" aria-labelledby="heading0<?php echo esc_html( $i ); ?>" data-parent="#accordionOne">
							<div class="card-body">
								<?php if ( ! empty( $text ) ) : ?>
									<?php echo esc_html( $text ); ?>
								<?php endif; ?>
							</div>
						</div>
					</div>
				</div>
			<?php }} ?>
		</div>
	</div>
</section>