<?php 
/**
Template Name: Blog Left Sidebar
*/

get_header();
?>
<section id="post-section" class="post-section st-py-default">
        <div class="container">
            <div class="row gy-lg-0 gy-5 wow fadeInUp">
               <?php  get_sidebar(); ?>
                <div class="col-lg-8">
                    <div class="row row-cols-1 row-cols-md-2 gx-5 gy-5">
                            <?php 
								$spintech_paged = ( get_query_var('paged') ) ? get_query_var('paged') : 1;
								$args = array( 'post_type' => 'post','paged'=>$spintech_paged );	
								$loop = new WP_Query( $args );
							?>
							<?php if( $loop->have_posts() ): ?>
							<?php while( $loop->have_posts() ): $loop->the_post(); ?>
								<div class="col">
							 		<?php get_template_part('template-parts/content/content','page'); ?>
								</div>
							<?php 
									endwhile;
								endif;
							?>
                    </div>
                </div>
				<div class="row">
					<div class="col-12 text-center mt-5">
						<div class="sp-post-pagination">
							<!-- Pagination -->
								<?php			
								$GLOBALS['wp_query']->max_num_pages = $loop->max_num_pages;						
								// Previous/next page navigation.
								the_posts_pagination( array(
								'prev_text'          => '<i class="fa fa-angle-double-left"></i>',
								'next_text'          => '<i class="fa fa-angle-double-right"></i>',
								) ); ?>
							<!-- Pagination -->
						</div>
					</div>
				</div>
            </div>
        </div>
    </section>
	
<?php get_footer(); ?>