<?php 
/**
Template Name: Project 2 Column
*/

get_header();
	$project_pg_title				= get_theme_mod('project_pg_title','Explore');
	$project_pg_subtitle			= get_theme_mod('project_pg_subtitle','Our <span class="text-primary">Project</span>');
	$project_pg_description		= get_theme_mod('project_pg_description','Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.');
	$project_pg_load_more 			= get_theme_mod('project_pg_load_more','Load More');
	$post_type = 'spintech_project';
	$tax = 'project_categories'; 
	$tax_terms = get_terms($tax);
?>
<section id="projects-section" class="projects-section st-py-default project_pg-home">
	<div class="container">
		<div class="row">
			<div class="col-lg-7 col-12 mx-lg-auto mb-5 text-center">
				<div class="heading-default wow fadeInUp">
					<?php if ( ! empty( $project_pg_title ) ) : ?>
						 <span class="badge bg-primary ttl"><?php echo wp_kses_post($project_pg_title); ?></span>
					<?php endif; ?>
					<?php if ( ! empty( $project_pg_subtitle ) ) : ?>		
						<h2><?php echo wp_kses_post($project_pg_subtitle); ?></h2>   			
					<?php endif; ?>	
					<?php if ( ! empty( $project_pg_description ) ) : ?>		
						<p><?php echo wp_kses_post($project_pg_description); ?></p>    
					<?php endif; ?>
				</div>
			</div>
		</div>
		<div class="st-filter-wrapper-1">
			<div class="st-tab-filter mb-5 text-center">
				<?php	foreach ($tax_terms as $tax_term) {	?>
				<?php if($tax_term->name == 'All'){ ?>
					 <a href="javascript:void(0)" data-filter="*" class="active"><?php echo $tax_term->name; ?></a>
				<?php }else{ ?>
					<a href="javascript:void(0)" data-filter=".<?php echo $tax_term->slug; ?>"><?php echo $tax_term->name; ?></a>
				<?php } } ?>
			</div>            
			<div id="st-filter-init-1" class="row row-cols-1 row-cols-md-2 st-filter-init g-4 wow fadeInUp">
				<?php get_template_part('template-parts/project/project-content','filter'); ?>				
			</div>
		</div>
	</div>
	<div class="shape3"><img src="<?php echo esc_url(get_template_directory_uri()); ?>/assets/images/clipArt/shape3.png" alt="image"></div>
	<div class="shape6"><img src="<?php echo esc_url(get_template_directory_uri()); ?>/assets/images/clipArt/shape6.png" alt="image"></div>
	<div class="shape7"><img src="<?php echo esc_url(get_template_directory_uri()); ?>/assets/images/clipArt/shape7.png" alt="image"></div>
	<div class="shape8"><img src="<?php echo esc_url(get_template_directory_uri()); ?>/assets/images/clipArt/shape8.png" alt="image"></div>
	<div class="shape9"><img src="<?php echo esc_url(get_template_directory_uri()); ?>/assets/images/clipArt/shape6.png" alt="image"></div>
</section>
<?php get_footer(); ?>